package com.openkm.workflow.action;

import org.jbpm.graph.def.ActionHandler;
import org.jbpm.graph.exe.ExecutionContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.openkm.util.MailUtils;

public class MailAction implements ActionHandler {
	private static final long serialVersionUID = 1L;
	private static Logger log = LoggerFactory.getLogger(MailAction.class);

	@Override
	public void execute(ExecutionContext executionContext) throws Exception {
		log.info("Executing action");
		MailUtils.sendMessage("noname@openkm.com", "Sample subject", "Sample content");
	}
}