package com.openkm.workflow.decision;

import org.jbpm.graph.exe.ExecutionContext;
import org.jbpm.graph.node.DecisionHandler;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.openkm.bean.form.Input;

public class Decision1 implements DecisionHandler {
	private static final long serialVersionUID = 1L;
	private static Logger log = LoggerFactory.getLogger(Decision1.class);
	
	@Override
	public String decide(ExecutionContext executionContext) throws Exception {
		log.info("Decision being evaluated");
		Input number = (Input) executionContext.getContextInstance().getVariable("number");
		
		if (number != null) {
			int value = Integer.valueOf(number.getValue());
			
			if (value > 20) {
				log.info("Go to 'trans1'");
				return "trans1";
			} else {
				log.info("Go to 'trans2'");
				return "trans2";
			}
		} else {
			log.info("Go to 'trans2'");
			return "trans2";
		}
	}
}