package com.openkm.workflow.exercise.exercise5;

import org.jbpm.graph.def.ActionHandler;
import org.jbpm.graph.exe.ExecutionContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.openkm.bean.form.Input;

public class NodeAction implements ActionHandler {
	private static final long serialVersionUID = 1L;
	private static Logger log = LoggerFactory.getLogger(NodeAction.class);
	
	@Override
	public void execute(ExecutionContext executionContext) throws Exception {
		log.info("Executing action");
		Input number = (Input) executionContext.getContextInstance().getVariable("number");
		int value = 0;
		
		if (number != null) {
			value = Integer.valueOf(number.getValue());
		} else {
			value = 0;
		}
		
		value = value * 3;
		Input modified = new Input();
		modified.setName("modified");
		modified.setLabel("modified");
		modified.setValue(String.valueOf(value * 3));
		executionContext.getContextInstance().setVariable("modified", modified);
	}
}