package com.openkm.workflow.exercise.exercise6;

import org.jbpm.graph.exe.ExecutionContext;
import org.jbpm.graph.node.DecisionHandler;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.openkm.bean.form.Input;

public class Decision implements DecisionHandler {
	private static final long serialVersionUID = 1L;
	private static Logger log = LoggerFactory.getLogger(Decision.class);
	
	@Override
	public String decide(ExecutionContext executionContext) throws Exception {
		log.info("Decision being evaluated");
		Input number = (Input) executionContext.getContextInstance().getVariable("number");
		Input suggested = (Input) executionContext.getContextInstance().getVariable("suggested");
		
		if (number != null && suggested != null && number.getValue().equals(suggested.getValue())) {
			log.info("Go to 'good'");
			return "good";
		} else {
			log.info("Go to 'bad'");
			return "bad";
		}
	}
}