package com.openkm.workflow.exercise.exercise9;

import org.jbpm.graph.exe.ExecutionContext;
import org.jbpm.taskmgmt.def.AssignmentHandler;
import org.jbpm.taskmgmt.exe.Assignable;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.openkm.bean.form.Input;

public class ActorAssigment implements AssignmentHandler {
	private static final long serialVersionUID = 1L;
	private static Logger log = LoggerFactory.getLogger(ActorAssigment.class);
	
	@Override
	public void assign(Assignable assignable, ExecutionContext executionContext) throws Exception {
		log.info("Evaluating assigment");
		Input username = (Input) executionContext.getContextInstance().getVariable("username");
		
		if (username != null) {
			log.info("Task assigned to '{}'", username.getValue());
			assignable.setActorId(username.getValue());
		} else {
			log.info("Task assigned to 'okmAdmin'");
			assignable.setActorId("okmAdmin");
		}
	}
}